#
# spec file for package lxqt-qtplugin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-qtplugin
Version:        0.9.0
Release:        0
Summary:        LxQt platform integration plugin for Qt 5
License:        LGPL-2.1+
Group:          System/GUI/LXDE-Qt
Url:            http://www.lxde.org
Source:         http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  kwindowsystem-devel
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(lxqt) >= %{version} 

%requires_eq    libQt5Gui5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
With this plugin, all Qt-based programs can adopt settings of
LXQt, such as the icon theme.

To use the plugin in Qt 5, we have to export the environment
variable QT_QPA_PLATFORMTHEME=lxqt. Then every Qt5 program
can load the theme plugin.
If, for some unknown reasons, the plugin is not loaded, we can
debug the plugin by exporting QT_DEBUG_PLUGINS=1.
Then, Qt5 will print detailed information and error messages
about all plugins in the console when running any Qt5 programs.)

%prep
%setup -q

%build
%cmake
%__make %{?_smp_mflags}

%install
%cmake_install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_libdir}/qt5/plugins
%dir %{_libdir}/qt5/plugins/platformthemes
%{_libdir}/qt5/plugins/platformthemes/libqtlxqt.so

%changelog
